
Redmine - Defect #5819

Blocks Layout plugin- Problem with Subprojects

2010-07-05 11:26 - Terence Mill

Status: Closed Start date: 2010-07-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.4

Description

I have one root project, along with several subprojects.

After modifying a project overview in settings I get redirected back to overview page but it's empty. This settings doesn't store. I

somehow managed to save them for one project and it still shows overview correctly but I can't reproduce it.

For the root project the change I made in the project overview setting was saved, but for subprojects what I have changed

in the overview setting page didn't apply. If I clicked the overview setting page after I made some changes, everything is

still unchecked.

Plugin URL:

http://www.redmine.org/wiki/redmine/PluginBlocksLayout

Affects also Views for

Latest News (build in)

Members (build in)

Open Polls (http://www.redmine.org/wiki/redmine/PluginBasicPolls)

Latest forum messages (http://www.redmine.org/wiki/redmine/PluginLatestForumMessages)

History

#1 - 2010-07-05 14:41 - Felix Schäfer

- Status changed from New to Closed

- Assignee deleted (Eric Davis)

- Resolution set to Invalid

Please contact the author of the plugin with this bug, thanks.

#2 - 2010-12-14 17:56 - Alexey Aleynikov

I noticed that after running migrating Redmine_blocks the connecting to MySQL is lost.

/redmine-1.0.3/tmp$ rake db:migrate_plugins

(in /var/www/home/hosting_aleynikov/projects/redmine/redmine-1.0.3)

rake aborted!

Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)

And during the editing of overview page of project the name of this wondow has "translation missing: en, edit_overview_page".

Pavel Vinokurov, help us, please.

#3 - 2011-02-18 13:27 - Victor Dulepov

We've posted an update of this plugin to its wiki page . Should fix the issue with subprojects, and several other issues with storing pages' settings.

Please check.
